package com.jpsoft.bus.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author 墨鱼_mo
 * @date 2019-11-26 9:35
 */

@Data
@ConfigurationProperties(prefix = "wx.jpsoft")
@Component
public class WxJpsoftConfig {

    /**
     * 设置微信公众号或者小程序等的appid
     */
    private String appId;

    /**
     * 设置微信公众号或者小程序等的appSecret
     */
    private String appSecret;

    /**
     * 微信支付商户号
     */
    private String mchId;

    /**
     * 微信支付商户密钥
     */
    private String mchKey;

    /**
     * 服务商模式下的子商户公众账号ID，普通模式请不要配置，请在配置文件中将对应项删除
     */
    private String subAppId;

    /**
     * 服务商模式下的子商户号，普通模式请不要配置，最好是请在配置文件中将对应项删除
     */
    private String subMchId;

    /**
     * apiclient_cert.p12文件的绝对路径，或者如果放在项目中，请以classpath:开头指定
     */
    private String keyPath;

    /**
     * 回调地址
     */
    private String notifyUrl;

    /**
     * 退款回调
     */
    private String refundUrl;

    /**
     * 发起ip
     */
    private String ip;

    /**
     * 商品描述
     */
    private String body;

    /**
     * 证书地址
     */
    private String certPath;

    private String temporaryUrl;

    private String urlKey;
}
