package com.jpsoft.bus.modules.base.dao;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import cn.hutool.core.date.DateTime;
import com.jpsoft.bus.modules.bus.entity.VehicleInfo;
import org.springframework.stereotype.Repository;
import com.jpsoft.bus.modules.base.entity.OrderInfo;
import java.util.Map;
import com.jpsoft.bus.modules.common.dto.Sort;

@Repository
public interface OrderInfoDAO {
	int insert(OrderInfo entity);
	int update(OrderInfo entity);
	int exist(String id);
	OrderInfo get(String id);
	int delete(String id);
	List<OrderInfo> list();
	List<OrderInfo> search(Map<String, Object> searchParams, List<Sort> sortList);

    List<OrderInfo> findByPassengerIdAndPayStatus(String passengerId,Integer payStatus);

    OrderInfo findByOutOrderNo(String outTradeNo);

	List<OrderInfo> findByMergeOrderId(String mergeOrderId);

    OrderInfo findByPassengerIdMergeOrderId(String passengerId, String mergeOrderId);

	OrderInfo findByPassengerId(String passengerId);

    BigDecimal paySum(List<VehicleInfo> vehicleInfoList, String companyId,String payName, Date beginOfDay, Date endOfDay, Boolean settlementFlag);

    Integer payNum(List<VehicleInfo> vehicleInfoList,String companyId, String payName, Date beginOfDay, Date endOfDay, Boolean settlementFlag);

	List<OrderInfo> findBySearchParams(Map<String, Object> searchParams);
}