package com.jpsoft.bus.modules.base.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class OrderInfoDTO {

    @ApiModelProperty(value = "")
    private String id;

    @ApiModelProperty(value = "账单金额")
    private BigDecimal totalFee;
    @ApiModelProperty(value = "商品描述")
    private String body;
    @ApiModelProperty(value = "支付状态（10：未支付，15：部分支付，20：支付完成，30：关闭，40：全额退款，45：部分退款）")
    private Integer payStatus;
    @ApiModelProperty(value = "支付方式（wechat：微信，alipay：支付宝，cash：现金，ticket：车票）")
    private String payName;
    @ApiModelProperty(value = "支付金额")
    private BigDecimal payFee;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty(value = "支付时间")
    private Date payTime;
    @ApiModelProperty(value = "系统订单号")
    private String outOrderNo;
    @ApiModelProperty(value = "微信支付订单号")
    private String transactionId;

    @ApiModelProperty(value = "司机名称")
    private String driverName;

    @ApiModelProperty(value = "车牌号")
    private String licensePlateNumber;

    @ApiModelProperty(value = "路线名称")
    private String routeName;

    @ApiModelProperty(value = "上车站点")
    private String upStationName;

    @ApiModelProperty(value = "下车站点")
    private String downStationName;

    @ApiModelProperty(value = "所属公司")
    private String companyName;

    @ApiModelProperty(value = "购票类型,1：儿童票，2：成人票")
    private String ticketType;
    @ApiModelProperty(value = "货票金额")
    private BigDecimal goodsTicket = BigDecimal.ZERO;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
}
