package com.jpsoft.bus.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;

import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 描述:base_merge_order_info的实体类
 */
@Data
@ApiModel(value = "base_merge_order_info的实体类")
public class MergeOrderInfo {
    @ApiModelProperty(value = "")
    private String id;
    @ApiModelProperty(value = "用户标识")
    private String openId;
    @ApiModelProperty(value = "班次id")
    private String vehicleShiftId;
    @ApiModelProperty(value = "公司id")
    private String companyId;
    @ApiModelProperty(value = "支付状态（10：未支付，15：部分支付，20：支付完成，30：关闭，40：全额退款，45：部分退款）")
    private Integer payStatus;
    @ApiModelProperty(value = "支付方式（wechat：微信，alipay：支付宝，cash：现金，ticket：车票）")
    private String payName;
    @ApiModelProperty(value = "系统订单号")
    private String outOrderNo;
    @ApiModelProperty(value = "微信支付订单号")
    private String transactionId;
    @ApiModelProperty(value = "收款账户id")
    private String paymentId;
    @ApiModelProperty(value = "创建人")
    private String createBy;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
    @ApiModelProperty(value = "是否删除")
    private Boolean delFlag = false;
}