package com.jpsoft.bus.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;

import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 描述:base_payment_info的实体类
 */
@Data
@ApiModel(value = "base_payment_info的实体类")
public class PaymentInfo {
    @ApiModelProperty(value = "")
    private String id;
    @ApiModelProperty(value = "对应公司id")
    private String companyId;
    @ApiModelProperty(value = "账户名称")
    private String name;
    @ApiModelProperty(value = "微信的回调地址")
    private String wechatNotifyUrl;
    @ApiModelProperty(value = "支付宝的回调地址")
    private String alipayNotifyUrl;
    @ApiModelProperty(value = "")
    private String appId;
    @ApiModelProperty(value = "")
    private String subAppSecret;
    @ApiModelProperty(value = "服务商标识")
    private String mchId;
    @ApiModelProperty(value = "服务商模式下子公众号APPID")
    private String subAppId;
    @ApiModelProperty(value = "服务商模式下子商户号id")
    private String subMchId;
    @ApiModelProperty(value = "支付宝授权token")
    private String appAuthToken;
    @ApiModelProperty(value = "")
    private String createBy;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty(value = "")
    private Date createTime;
    @ApiModelProperty(value = "")
    private String updateBy;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty(value = "")
    private Date updateTime;
    @ApiModelProperty(value = "是否删除")
    private Boolean delFlag;

    @ApiModelProperty(value = "是否开启微信支付")
    private Boolean isOpenWechat;
    @ApiModelProperty(value = "是否开启支付宝支付")
    private Boolean isOpenAlipay;

    @ApiModelProperty(value = "对应公司")
    private String companyName;
}