package com.jpsoft.bus.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
  描述:base_trip_info的实体类
 */
@Data
@ApiModel(value = "base_trip_info的实体类")
public class TripInfo {
        @ApiModelProperty(value = "")
    private String id;
        @ApiModelProperty(value = "设备传来的人员标识")
    private String personNo;
        @ApiModelProperty(value = "上车时照片地址")
    private String upFaceImage;
        @ApiModelProperty(value = "下车时照片地址")
    private String downFaceImage;
        @ApiModelProperty(value = "所乘车辆id")
    private String vehicleId;
        @ApiModelProperty(value = "所走线路id")
    private String routeId;
        @ApiModelProperty(value = "上车站点id")
    private String upStationId;
        @ApiModelProperty(value = "下车站点id")
    private String downStationId;
        @ApiModelProperty(value = "司机id")
    private String driverId;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "上车时间")
    private Date upTime;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "下车时间")
    private Date downTime;
        @ApiModelProperty(value = "订单id")
    private String orderId;
        @ApiModelProperty(value = "关联的行程id，补票的时候保存的上个行程id")
    private String tripId;
        @ApiModelProperty(value = "备注")
    private String remark;
        @ApiModelProperty(value = "乘车状态（1：乘车中，2：已下车）")
    private Integer status;
        @ApiModelProperty(value = "创建人")
    private String createBy;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "创建时间")
    private Date createTime;
        @ApiModelProperty(value = "更新人")
    private String updateBy;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
        @ApiModelProperty(value = "是否删除")
    private Boolean delFlag;
}