package com.jpsoft.bus.modules.base.service;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

import cn.hutool.core.date.DateTime;
import com.jpsoft.bus.modules.base.entity.OrderInfo;
import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.bus.entity.VehicleInfo;
import com.jpsoft.bus.modules.common.dto.Sort;

public interface OrderInfoService {
	OrderInfo get(String id);
	boolean exist(String id);
	int insert(OrderInfo model);
	int update(OrderInfo model);
	int delete(String id);
	List<OrderInfo> list();
	Page<OrderInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);

    List<OrderInfo> findByPassengerIdAndPayStatus(String passengerId,Integer payStatus);

    OrderInfo findByOutOrderNo(String outTradeNo);

	List<OrderInfo> findByMergeOrderId(String mergeOrderId);

    OrderInfo findByPassengerIdMergeOrderId(String id, String mergeOrderId);

	OrderInfo findByPassengerId(String passengerId);


	/**
	 * 订单在线退款
	 * @param orderId
	 * @return
	 * @throws Exception
	 */
	Boolean refund(String orderId,String userId) throws Exception;

    BigDecimal paySum(List<VehicleInfo> vehicleInfoList,String companyId, String payName, Date beginOfDay, Date endOfDay, Boolean settlementFlag);

	Integer payNum(List<VehicleInfo> vehicleInfoList,String companyId, String payName, Date beginOfDay, Date endOfDay,Boolean settlementFlag);

	List<OrderInfo> findBySearchParams(Map<String, Object> searchParams,List<Sort> sortList);
}