package com.jpsoft.bus.modules.base.service.impl;

import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import com.jpsoft.bus.modules.base.dao.RegionInfoDAO;
import com.jpsoft.bus.modules.base.entity.RegionInfo;
import com.jpsoft.bus.modules.base.service.RegionInfoService;
import com.jpsoft.bus.modules.common.dto.Sort;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2020-10-12 16:18
 */
@Transactional
@Component(value="regionInfoService")
public class RegionInfoServiceImpl implements RegionInfoService {

    @Resource(name="regionInfoDAO")
    private RegionInfoDAO regionInfoDAO;

    @Override
    public RegionInfo get(String id) {
        // TODO Auto-generated method stub
        return regionInfoDAO.get(id);
    }

    @Override
    public int insert(RegionInfo model) {
        // TODO Auto-generated method stub
        //model.setId(UUID.randomUUID().toString());

        return regionInfoDAO.insert(model);
    }

    @Override
    public int update(RegionInfo model) {
        // TODO Auto-generated method stub
        return regionInfoDAO.update(model);
    }

    @Override
    public int delete(String id) {
        // TODO Auto-generated method stub
        return regionInfoDAO.delete(id);
    }

    @Override
    public boolean exist(String id) {
        // TODO Auto-generated method stub
        int count = regionInfoDAO.exist(id);

        return count > 0 ? true : false;
    }

    @Override
    public List<RegionInfo> list() {
        // TODO Auto-generated method stub
        return regionInfoDAO.list();
    }

    @Override
    public Page<RegionInfo> pageSearch(Map<String, Object> searchParams, int pageNumber, int pageSize, boolean count, List<Sort> sortList) {
        Page<RegionInfo> page = PageHelper.startPage(pageNumber,pageSize,count).doSelectPage(()->{
            regionInfoDAO.search(searchParams,sortList);
        });

        return page;
    }

    @Override
    public List<RegionInfo> findByParentId(String parentId) {
        return regionInfoDAO.findByParentId(parentId);
    }

    @Override
    public List<RegionInfo> findTopRegion() {
        return regionInfoDAO.findTopRegion();
    }

    @Override
    public RegionInfo findByName(String name){
        return regionInfoDAO.findByName(name);
    }

    @Override
    public List<RegionInfo> findCityRegion() {
        return regionInfoDAO.findCityRegion();
    }
}
