package com.jpsoft.bus.modules.bus.dao;

import com.jpsoft.bus.modules.bus.entity.CompanyInfo;
import com.jpsoft.bus.modules.common.dto.Sort;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface CompanyInfoDAO {
	int insert(CompanyInfo entity);

	int update(CompanyInfo entity);

	int exist(String id);

	CompanyInfo get(String id);

	int delete(String id);

	List<CompanyInfo> list();

	List<CompanyInfo> search(Map<String, Object> searchParams, List<Sort> sortList);

	int updateCode(String oldCode, int startIndex, String newCode);

    List<CompanyInfo> findByParentId(@Param("parentId") String parentId);

	CompanyInfo findByName(String name);

	List<CompanyInfo> findByCompanyCodeAndType(@Param("code") String code, @Param("type") String type);

	List<CompanyInfo> findAllCompanyByCode(String code);

    List<CompanyInfo> findByType(String type);

	long countByParentId(@Param("parentId") String parentId);

	List<CompanyInfo> findByCompanyCode(String code, Long personId);
}
