package com.jpsoft.bus.modules.bus.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.bus.modules.bus.entity.PassengerInfo;
import java.util.Map;
import com.jpsoft.bus.modules.common.dto.Sort;

@Repository
public interface PassengerInfoDAO {
	int insert(PassengerInfo entity);
	int update(PassengerInfo entity);
	int exist(String id);
	PassengerInfo get(String id);
	int delete(String id);
	List<PassengerInfo> list();
	List<PassengerInfo> search(Map<String,Object> searchParams,List<Sort> sortList);

    List<PassengerInfo> findByPersonIdShiftIdStatus(Long personId, String shiftId, String status);

    List<PassengerInfo> findByShiftStatusPayStatusNotTicketDown(String shiftId, String status, String payStatus,String ticketDownStationId);

    List<PassengerInfo> findByOpenIdAndStatus(String openId, String status,String payStatus);

	List<PassengerInfo> findByOpenIdAndVehicleShiftId(String openId, String vehicleShiftId, String status, String payStatus);

    List<PassengerInfo> findByShiftIdAndStatus(String shiftId, String status);
}