package com.jpsoft.bus.modules.bus.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.bus.modules.bus.entity.ShiftInfo;
import java.util.Map;
import com.jpsoft.bus.modules.common.dto.Sort;

@Repository
public interface ShiftInfoDAO {
	int insert(ShiftInfo entity);
	int update(ShiftInfo entity);
	int exist(String id);
	ShiftInfo get(String id);
	int delete(String id);
	List<ShiftInfo> list();
	List<ShiftInfo> search(Map<String,Object> searchParams,List<Sort> sortList);

    List<ShiftInfo> findByDriverIdAndStatus(Long driverId, String status);

    List<ShiftInfo> findByVehicleIdAndStatus(String vehicleId, String status);

    List<ShiftInfo> findByRouteIdAndStatus(String routeId, String status);

    List<ShiftInfo> findByRouteIdAndStatusAndStartStationId(String routeId, String status, String startStationId);
}