package com.jpsoft.bus.modules.bus.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jpsoft.bus.modules.base.dto.PassengerOrderDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author 墨鱼_mo
 * @date 2021-4-8 11:33
 */
@Data
public class PassengerDetailDTO {

    private String id;

    private String vehicleShiftId;

    private Long vehicleLibId;

    private Long vehiclePersonId;

    private String imageUrl;

    private String localImageUrl;

    private String upStationId;

    private String upStationName;

    private String downStationId;

    private String downStationName;

    private String ticketUpStationId;

    private String ticketUpStationName;

    private String ticketDownStationId;

    private String ticketDownStationName;

    private String status;

    private String statusName;

    private String payStatus;

    private String payStatusName;

    private List<PassengerOrderDTO> passengerOrderDTOList;

    private BigDecimal payFee;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty(value = "上车时间")
    private Date upTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty(value = "下车时间")
    private Date downTime;

    private String ticketType;
}
