package com.jpsoft.bus.modules.bus.dto;

import com.jpsoft.bus.modules.bus.entity.StationSubInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.NotBlank;

import java.util.List;

@Data
public class StationInfoDTO {
    /**
     *主键
     */
    @ApiModelProperty(value = "主键")
    private String id;
    /**
     *序号
     */
    @ApiModelProperty(value = "序号")
    private Integer sortNo;

    /**
     *路线编号
     */
    @ApiModelProperty(value = "路线编号")
    private String routeId;

    /**
     *站点名称
     */
    @NotBlank
    @ApiModelProperty(value = "站点名称")
    private String name;

    /**
     *1-起点,2-途径,3-终点
     */
    @ApiModelProperty(value = "1-起点,2-途径,3-终点")
    private String classify;

    @ApiModelProperty(value = "站点类型名称")
    private String classifyName;

    @ApiModelProperty(value = "经纬度")
    private String location;

    @ApiModelProperty(value = "是否删除")
    private Boolean delFlag;

    @ApiModelProperty(value = "半径(米)")
    private Integer radius;

    @ApiModelProperty(value = "站点入口")
    private List<StationSubInfo> stationSubInfoList;
}
