package com.jpsoft.bus.modules.bus.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
  描述:bus_company_info的实体类
 */
@Data
@ApiModel(value = "bus_company_info的实体类")
public class CompanyInfo {
    @ApiModelProperty(value = "公司编号")
	private String id;
    @ApiModelProperty(value = "序号")
	private Integer sortNo;
    @ApiModelProperty(value = "公司名称")
	private String name;
	@ApiModelProperty(value = "公司全称")
	private String fullName;
    @ApiModelProperty(value = "备注")
	private String remark;
    @ApiModelProperty(value = "创建人")
	private String createBy;
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "创建时间")
	private Date createTime;
    @ApiModelProperty(value = "更新人")
	private String updateBy;
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
    @ApiModelProperty(value = "更新时间")
	private Date updateTime;
    @ApiModelProperty(value = "是否删除")
	private Boolean delFlag;
	@ApiModelProperty(value = "上级公司")
	private String parentId;
	@ApiModelProperty(value = "企业编码")
	private String code;
	@ApiModelProperty(value = "上级单位")
	private String parentName;
	@ApiModelProperty(value = "单位性质")
	private String type;
	@ApiModelProperty(value = "单位性质翻译")
	private String typeName;
	@ApiModelProperty(value = "层级")
	private Integer level;
	@ApiModelProperty(value = "是否有子单位")
	private Boolean hasChildren;
}