package com.jpsoft.bus.modules.bus.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;

import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 描述:bus_device_cmd_info的实体类
 */
@Data
@ApiModel(value = "bus_device_cmd_info的实体类")
public class DeviceCmdInfo {
    /**
     *
     */
    @ApiModelProperty(value = "")
    private String id;
    /**
     * 车牌号
     */
    @ApiModelProperty(value = "车牌号")
    private String licensePlateNumber;
    /**
     * 设备IP
     */
    @ApiModelProperty(value = "设备IP")
    private String deviceIP;
    /**
     * 下发地址
     */
    @ApiModelProperty(value = "下发地址")
    private String url;
    /**
     * http方法
     */
    @ApiModelProperty(value = "http方法")
    private String method;
    /**
     * 下发到设备的命令
     */
    @ApiModelProperty(value = "下发到设备的命令")
    private String requestBody;
    /**
     * 返回结果
     */
    @ApiModelProperty(value = "返回结果")
    private String responseText;
    /**
     * 状态码
     */
    @ApiModelProperty(value = "状态码")
    private Integer responseCode;
    /**
     * 0-未执行，1-已执行
     */
    @ApiModelProperty(value = "0-未执行，1-已执行")
    private Integer status;
    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String createBy;
    /**
     * 更新时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
    /**
     * 更新人
     */
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    /**
     * 是否删除
     */
    @ApiModelProperty(value = "是否删除")
    private Boolean delFlag;
}