package com.jpsoft.bus.modules.bus.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;

import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 描述:bus_passenger_info的实体类
 */
@Data
@ApiModel(value = "bus_passenger_info的实体类")
public class PassengerInfo {
    @ApiModelProperty(value = "乘客表主键")
    private String id;
    @ApiModelProperty(value = "车辆班次编号")
    private String vehicleShiftId;
    @ApiModelProperty(value = "车辆人员库编号")
    private Long vehicleLibId;
    @ApiModelProperty(value = "车辆人员编号")
    private Long vehiclePersonId;
    @ApiModelProperty(value = "注册用户编号")
    private Long userId;
    @ApiModelProperty(value = "乘车人照片")
    private String imageUrl;
    @ApiModelProperty(value = "乘车人本地照片")
    private String localImageUrl;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty(value = "上车时间")
    private Date upTime;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty(value = "下车时间")
    private Date downTime;
    @ApiModelProperty(value = "上车站点")
    private String upStationId;
    @ApiModelProperty(value = "下车站点")
    private String downStationId;
    @ApiModelProperty(value = "0-未乘车、1-上车、2-下车")
    private String status;
    @ApiModelProperty(value = "0-未购票、1-已购票，2-已过站，3-已补票")
    private String payStatus;
    @ApiModelProperty(value = "创建人")
    private String createBy;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
    @ApiModelProperty(value = "是否删除")
    private Boolean delFlag = false;

    @ApiModelProperty(value = "注册用户名")
    private String userName;

    @ApiModelProperty(value = "上车站点名称")
    private String upStationName;
    @ApiModelProperty(value = "下车站点名称")
    private String downStationName;

    @ApiModelProperty(value = "购票的上车站点")
    private String ticketUpStationId;

    @ApiModelProperty(value = "购票的上车站点名")
    private String ticketUpStationName;

    @ApiModelProperty(value = "购票的下车站点")
    private String ticketDownStationId;

    @ApiModelProperty(value = "购票的下车站点名")
    private String ticketDownStationName;

    //保存在订单表中
    @ApiModelProperty(value = "购票类型")
    private String ticketType;

    public String getStatusName() {
        String statusName = "";

        if ("0".equals(status)) {
            statusName = "未乘车";
        } else if ("1".equals(status)) {
            statusName = "已上车";
        } else if ("2".equals(status)) {
            statusName = "已下车";
        }
        return  statusName;
    }

    public String getPayStatusName() {
        String payStatusName = "";

        if ("0".equals(payStatus)) {
            payStatusName = "未购票";
        }
        else if ("1".equals(payStatus)) {
            payStatusName = "已购票";
        }
        else if ("2".equals(payStatus)) {
            payStatusName = "已过站";
        }
        else if ("3".equals(payStatus)) {
            payStatusName = "已补票";
        }
        return payStatusName;
    }

    @ApiModelProperty(value = "购票方式")
    private String payName;
}