package com.jpsoft.bus.modules.bus.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;

import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 描述:bus_shift_info的实体类
 */
@Data
@ApiModel(value = "bus_shift_info的实体类")
public class ShiftInfo implements Serializable {
    @ApiModelProperty(value = "车辆班次编号")
    private String id;
    @ApiModelProperty(value = "司机")
    private Long driverId;
    @ApiModelProperty(value = "车辆编号")
    private String vehicleId;
    @ApiModelProperty(value = "路线编号")
    private String routeId;
    @ApiModelProperty(value = "起始站")
    private String startStationId;
    @ApiModelProperty(value = "当前站点")
    private String currentStationId;
    @ApiModelProperty(value = "车和当前站点的关系（1：站点上，2：站点和站点间）")
    private String currentStationStatus = "1";
    @ApiModelProperty(value = "状态值(1：进行中，2：结束)")
    private String status;
    @ApiModelProperty(value = "终点站")
    private String endStationId;
    @ApiModelProperty(value = "创建人")
    private String createBy;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
    @ApiModelProperty(value = "是否删除")
    private Boolean delFlag = false;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty(value = "是否收班（到达终点站，乘客全部下车）")
    private Date finishTime;

    @ApiModelProperty(value = "司机")
    private String driverName;
    @ApiModelProperty(value = "车辆车牌")
    private String vehicleNumber;
    @ApiModelProperty(value = "路线名称")
    private String routeName;
    @ApiModelProperty(value = "起始站")
    private String startStationName;
    @ApiModelProperty(value = "当前站点")
    private String currentStationName;
    @ApiModelProperty(value = "终点站")
    private String endStationName;
}