package com.jpsoft.bus.modules.bus.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;

import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 描述:bus_station_remind的实体类
 */
@Data
@ApiModel(value = "bus_station_remind的实体类")
public class StationRemind {
    /**
     * 雪花主键
     */
    @ApiModelProperty(value = "雪花主键")
    private String id;
    /**
     * 起始站点编号
     */
    @ApiModelProperty(value = "起始站点编号")
    private String startStationId;

    @ApiModelProperty(value = "终点站id")
    private String endStationId;
    /**
     * 提醒站点编号
     */
    @ApiModelProperty(value = "提醒站点编号")
    private String remindStationId;
    /**
     * 提前多少站通知
     */
    @ApiModelProperty(value = "提前多少站通知")
    private Integer stopInAdvance;
    /**
     * 提前通知编号
     */
    @ApiModelProperty(value = "提前通知编号")
    private String advanceStationId;
    /**
     * 用户微信openid
     */
    @ApiModelProperty(value = "用户微信openid")
    private String openId;
    /**
     * 1-上车提醒，2-下车提醒
     */
    @ApiModelProperty(value = "1-上车提醒，2-下车提醒")
    private Integer remindType;
    /**
     * 班次编号（下车提醒用）
     */
    @ApiModelProperty(value = "班次编号（下车提醒用）")
    private String vehicleShiftId;

    @ApiModelProperty(value = "线路id")
    private String routeId;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 更新人
     */
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    /**
     * 更新时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
    /**
     * 是否删除
     */
    @ApiModelProperty(value = "是否删除")
    private Boolean delFlag;

    private String routeName;

    private String endStationName;

    private String remindStationName;
}