package com.jpsoft.bus.modules.bus.service;

import com.jpsoft.bus.modules.bus.dto.StationStatusDTO;
import com.jpsoft.bus.modules.bus.entity.StationInfo;
import com.jpsoft.bus.modules.bus.entity.VehicleInfo;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface GpsService {
    List<Map<String,String>> queryLatestVehicleGps(List<VehicleInfo> vList);
    List<Map<String,String>> getVehicleGpsList(VehicleInfo v, Date st, Date et);
    boolean isVehicleOnline(VehicleInfo v);
    List<Map<String,String>> queryVehicleOnlineInfo(List<VehicleInfo> vList);
    List<Map<String,String>> queryVehicleAccInfo(List<VehicleInfo> vList);
    StationStatusDTO queryStation(String id) throws Exception;

    /**
     * 获取当前车辆最近的站点
     * @param id
     * @return
     */
    String getLatelyStation(String id,boolean manual) throws Exception;

    boolean matchDistance(StationInfo stationInfo, VehicleInfo vehicleInfo, int distance);
}
