package com.jpsoft.bus.modules.bus.service;

import java.util.List;
import java.util.Map;

import com.jpsoft.bus.modules.base.dto.MergeOrderDTO;
import com.jpsoft.bus.modules.base.entity.MergeOrderInfo;
import com.jpsoft.bus.modules.base.entity.OrderInfo;
import com.jpsoft.bus.modules.bus.dto.DriverBuyTicketDTO;
import com.jpsoft.bus.modules.bus.entity.PassengerInfo;
import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.bus.entity.ShiftInfo;
import com.jpsoft.bus.modules.bus.entity.VehicleInfo;
import com.jpsoft.bus.modules.common.dto.Sort;

public interface PassengerInfoService {
	PassengerInfo get(String id);
	boolean exist(String id);
	int insert(PassengerInfo model);
	int update(PassengerInfo model);
	int delete(String id);
	List<PassengerInfo> list();
	Page<PassengerInfo> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);

	List<PassengerInfo> findByPersonIdShiftIdStatus(Long personId,String shiftId,String status);

    void passengerFace(VehicleInfo vehicleInfo, ShiftInfo shiftInfo, String retFileUrl, String recordTime, String stationId,Long libId,Long personId,String localImageUrl) throws Exception;

	DriverBuyTicketDTO driverBuyTicket(PassengerInfo passengerInfo, String ticketUpStationId, String ticketDownStationId, String ticketType, String goodsTicket, String totalFee, String payName,String paymentId) throws Exception;

    List<PassengerInfo> findByShiftStatusPayStatusNotTicketDown(String shiftId, String status, String payStatus,String ticketDownStationId);

	MergeOrderDTO createOrder(VehicleInfo vehicleInfo, ShiftInfo shiftInfo, String openId, String mergeOrderId, String passengerIds, String ticketUpStationId, String ticketDownStationId, String ticketTypes, String goodsTicket, String totalFee) throws Exception;

	void updatePassengerOrder(OrderInfo orderInfo, String ticketUpStationId, String ticketDownStationId, String ticketType, String goodsTicket, String totalFee);

    List<PassengerInfo> findByOpenIdAndStatus(String openId, String status,String payStatus);

	List<PassengerInfo> findByOpenIdAndVehicleShiftId(String openId, String vehicleShiftId, String status,String payStatus);

    List<PassengerInfo> findByShiftIdAndStatus(String shiftId, String status);
}