package com.jpsoft.bus.modules.bus.service;

import java.util.List;
import java.util.Map;

import com.jpsoft.bus.modules.bus.dto.VehicleStationDTO;
import com.jpsoft.bus.modules.bus.entity.ShiftInfo;
import com.jpsoft.bus.modules.bus.entity.StationInfo;
import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.common.dto.Sort;

public interface StationInfoService {
	StationInfo get(String id);
	boolean exist(String id);
	int insert(StationInfo model);
	int update(StationInfo model);
	int delete(String id);
	List<StationInfo> findByRouteId(String routeId);
	List<StationInfo> list();
	Page<StationInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);

    List<StationInfo> findByRouteIdAndClassify(String routeId, int classify);

	StationInfo findByRouteIdAndName(String routeId, String name);

    List<VehicleStationDTO> getVehicleStationDTO(ShiftInfo shiftInfo, List<StationInfo> stationInfoList);
}