package com.jpsoft.bus.modules.bus.service.impl;

import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import com.jpsoft.bus.modules.bus.dao.DriverRecordInfoDAO;
import com.jpsoft.bus.modules.bus.entity.DriverRecordInfo;
import com.jpsoft.bus.modules.bus.service.DriverRecordInfoService;
import com.jpsoft.bus.modules.common.dto.Sort;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2021-4-3 11:27
 */
@Transactional
@Component(value="driverRecordInfoService")
public class DriverRecordInfoServiceImpl implements DriverRecordInfoService {

    @Resource(name="driverRecordInfoDAO")
    private DriverRecordInfoDAO driverRecordInfoDAO;

    @Override
    public DriverRecordInfo get(String id) {
        // TODO Auto-generated method stub
        return driverRecordInfoDAO.get(id);
    }

    @Override
    public int insert(DriverRecordInfo model) {
        // TODO Auto-generated method stub
        //model.setId(UUID.randomUUID().toString());

        return driverRecordInfoDAO.insert(model);
    }

    @Override
    public int update(DriverRecordInfo model) {
        // TODO Auto-generated method stub
        return driverRecordInfoDAO.update(model);
    }

    @Override
    public int delete(String id) {
        // TODO Auto-generated method stub
        return driverRecordInfoDAO.delete(id);
    }

    @Override
    public boolean exist(String id) {
        // TODO Auto-generated method stub
        int count = driverRecordInfoDAO.exist(id);

        return count > 0 ? true : false;
    }

    @Override
    public List<DriverRecordInfo> list() {
        // TODO Auto-generated method stub
        return driverRecordInfoDAO.list();
    }

    @Override
    public Page<DriverRecordInfo> pageSearch(Map<String, Object> searchParams, int pageNumber, int pageSize, boolean count, List<Sort> sortList) {
        Page<DriverRecordInfo> page = PageHelper.startPage(pageNumber,pageSize,count).doSelectPage(()->{
            driverRecordInfoDAO.search(searchParams,sortList);
        });

        return page;
    }

    @Override
    public DriverRecordInfo findLastAttendanceRecord(Long driverId, String licensePlateNumber, Date startTime) {
        return driverRecordInfoDAO.findLastAttendanceRecord(driverId,licensePlateNumber, startTime);
    }
}
