package com.jpsoft.bus.modules.bus.service.impl;

import java.util.List;
import java.util.Map;
import java.util.UUID;
import javax.annotation.Resource;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;
import com.jpsoft.bus.modules.bus.dao.PriceInfoDAO;
import com.jpsoft.bus.modules.bus.entity.PriceInfo;
import com.jpsoft.bus.modules.bus.service.PriceInfoService;
import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.common.dto.Sort;
import com.github.pagehelper.PageHelper;

@Transactional
@Component(value="priceInfoService")
public class PriceInfoServiceImpl implements PriceInfoService {
	@Resource(name="priceInfoDAO")
	private PriceInfoDAO priceInfoDAO;

	@Override
	public PriceInfo get(String id) {
		// TODO Auto-generated method stub
		return priceInfoDAO.get(id);
	}

	@Override
	public int insert(PriceInfo model) {
		// TODO Auto-generated method stub
		//model.setId(UUID.randomUUID().toString());

		return priceInfoDAO.insert(model);
	}

	@Override
	public int update(PriceInfo model) {
		// TODO Auto-generated method stub
		return priceInfoDAO.update(model);
	}

	@Override
	public int delete(String id) {
		// TODO Auto-generated method stub
		return priceInfoDAO.delete(id);
	}

	@Override
	public boolean exist(String id) {
		// TODO Auto-generated method stub
		int count = priceInfoDAO.exist(id);

		return count > 0 ? true : false;
	}

	@Override
	public List<PriceInfo> list() {
		// TODO Auto-generated method stub
		return priceInfoDAO.list();
	}

	@Override
	public Page<PriceInfo> pageSearch(Map<String, Object> searchParams, int pageNumber, int pageSize,boolean count,List<Sort> sortList) {
        Page<PriceInfo> page = PageHelper.startPage(pageNumber,pageSize,count).doSelectPage(()->{
            priceInfoDAO.search(searchParams,sortList);
        });

        return page;
	}

	@Override
	public List<PriceInfo> findByStartSid(String startStationId) {
		// TODO Auto-generated method stub
		return priceInfoDAO.findByStartSid(startStationId);
	}

	@Override
	public List<PriceInfo> findByEndSid(String endStationId) {
		// TODO Auto-generated method stub
		return priceInfoDAO.findByEndSid(endStationId);
	}

	@Override
	public PriceInfo findByStartStationAndEndStation(String ticketUpStationId, String ticketDownStationId) {
		return priceInfoDAO.findByStartStationAndEndStation(ticketUpStationId,ticketDownStationId);
	}
}