package com.jpsoft.bus.modules.bus.service.impl;

import java.util.List;
import java.util.Map;
import java.util.UUID;
import javax.annotation.Resource;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;
import com.jpsoft.bus.modules.bus.dao.RouteTimeTableDAO;
import com.jpsoft.bus.modules.bus.entity.RouteTimeTable;
import com.jpsoft.bus.modules.bus.service.RouteTimeTableService;
import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.common.dto.Sort;
import com.github.pagehelper.PageHelper;

@Transactional
@Component(value="routeTimeTableService")
public class RouteTimeTableServiceImpl implements RouteTimeTableService {
	@Resource(name="routeTimeTableDAO")
	private RouteTimeTableDAO routeTimeTableDAO;

	@Override
	public RouteTimeTable get(String id) {
		// TODO Auto-generated method stub
		return routeTimeTableDAO.get(id);
	}

	@Override
	public int insert(RouteTimeTable model) {
		// TODO Auto-generated method stub
		//model.setId(UUID.randomUUID().toString());
		
		return routeTimeTableDAO.insert(model);
	}

	@Override
	public int update(RouteTimeTable model) {
		// TODO Auto-generated method stub
		return routeTimeTableDAO.update(model);		
	}

	@Override
	public int delete(String id) {
		// TODO Auto-generated method stub
		return routeTimeTableDAO.delete(id);
	}

	@Override
	public boolean exist(String id) {
		// TODO Auto-generated method stub
		int count = routeTimeTableDAO.exist(id);
		
		return count > 0 ? true : false;
	}
	
	@Override
	public List<RouteTimeTable> list() {
		// TODO Auto-generated method stub
		return routeTimeTableDAO.list();
	}

    @Override
    public RouteTimeTable findByRouteId(String routeId){
        return routeTimeTableDAO.findByRouteId(routeId);
    }
		
	@Override
	public Page<RouteTimeTable> pageSearch(Map<String, Object> searchParams, int pageNumber, int pageSize,List<Sort> sortList) {
        Page<RouteTimeTable> page = PageHelper.startPage(1,10).doSelectPage(()->{
            routeTimeTableDAO.search(searchParams,sortList);
        });
        
        return page;
	}
}