package com.jpsoft.bus.modules.bus.service.impl;

import java.util.Date;
import java.util.List;
import java.util.Map;
import java.util.UUID;
import javax.annotation.Resource;

import com.jpsoft.bus.modules.bus.dto.StationStatusDTO;
import com.jpsoft.bus.modules.bus.entity.PassengerInfo;
import com.jpsoft.bus.modules.bus.entity.VehicleInfo;
import com.jpsoft.bus.modules.bus.service.GpsService;
import com.jpsoft.bus.modules.bus.service.PassengerInfoService;
import com.sun.xml.bind.v2.TODO;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;
import com.jpsoft.bus.modules.bus.dao.ShiftInfoDAO;
import com.jpsoft.bus.modules.bus.entity.ShiftInfo;
import com.jpsoft.bus.modules.bus.service.ShiftInfoService;
import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.common.dto.Sort;
import com.github.pagehelper.PageHelper;

@Transactional
@Component(value="shiftInfoService")
public class ShiftInfoServiceImpl implements ShiftInfoService {
	@Resource(name="shiftInfoDAO")
	private ShiftInfoDAO shiftInfoDAO;

	@Autowired
	private GpsService gpsService;

	@Autowired
	private PassengerInfoService passengerInfoService;

	@Override
	public ShiftInfo get(String id) {
		// TODO Auto-generated method stub
		return shiftInfoDAO.get(id);
	}

	@Override
	public int insert(ShiftInfo model) {
		// TODO Auto-generated method stub
		//model.setId(UUID.randomUUID().toString());

		return shiftInfoDAO.insert(model);
	}

	@Override
	public int update(ShiftInfo model) {
		// TODO Auto-generated method stub
		return shiftInfoDAO.update(model);
	}

	@Override
	public int delete(String id) {
		// TODO Auto-generated method stub
		return shiftInfoDAO.delete(id);
	}

	@Override
	public boolean exist(String id) {
		// TODO Auto-generated method stub
		int count = shiftInfoDAO.exist(id);

		return count > 0 ? true : false;
	}

	@Override
	public List<ShiftInfo> list() {
		// TODO Auto-generated method stub
		return shiftInfoDAO.list();
	}

	@Override
	public Page<ShiftInfo> pageSearch(Map<String, Object> searchParams, int pageNumber, int pageSize,boolean count,List<Sort> sortList) {
        Page<ShiftInfo> page = PageHelper.startPage(pageNumber,pageSize,count).doSelectPage(()->{
            shiftInfoDAO.search(searchParams,sortList);
        });

        return page;
	}

	@Override
	public List<ShiftInfo> findByDriverIdAndStatus(Long driverId, String status) {
		return shiftInfoDAO.findByDriverIdAndStatus(driverId,status);
	}

	@Override
	public List<ShiftInfo> findByVehicleIdAndStatus(String vehicleId, String status) {
		return shiftInfoDAO.findByVehicleIdAndStatus(vehicleId,status);
	}

	@Override
	public ShiftInfo createShift(VehicleInfo vehicleInfo, Long driverId, String startStationId, String endStationId) throws Exception {
		List<ShiftInfo> shiftInfoList = findByVehicleIdAndStatus(vehicleInfo.getId(),"1");
		if (shiftInfoList.size()>0){
			for (ShiftInfo shiftInfo : shiftInfoList){
				shiftInfo.setStatus("2");
				update(shiftInfo);
			}
		}
		//TODO 根据经纬度查询当前站点
		String currentStationId = gpsService.getLatelyStation(vehicleInfo.getId(),false);

		if (StringUtils.isEmpty(currentStationId)) {
			currentStationId = startStationId;
		}

		ShiftInfo shiftInfo = new ShiftInfo();
		shiftInfo.setId(UUID.randomUUID().toString());
		shiftInfo.setDriverId(Long.valueOf(driverId));
		shiftInfo.setVehicleId(vehicleInfo.getId());
		shiftInfo.setRouteId(vehicleInfo.getRouteId());
		shiftInfo.setStartStationId(startStationId);
		shiftInfo.setCurrentStationId(currentStationId);
		shiftInfo.setEndStationId(endStationId);
		shiftInfo.setStatus("1");
		shiftInfo.setCreateTime(new Date());
		insert(shiftInfo);

		return shiftInfo;
	}

	@Override
	public List<ShiftInfo> findByRouteIdAndStatus(String routeId, String status) {
		return shiftInfoDAO.findByRouteIdAndStatus(routeId,status);
	}

	@Override
	public List<ShiftInfo> findByRouteIdAndStatusAndStartStationId(String routeId, String status, String startStationId) {
		return shiftInfoDAO.findByRouteIdAndStatusAndStartStationId(routeId,status,startStationId);
	}

	@Override
	public void finishShift(ShiftInfo shiftInfo) {


		shiftInfo.setStatus("2");
		shiftInfo.setFinishTime(new Date());
		shiftInfo.setUpdateTime(new Date());
		update(shiftInfo);

		//修改当前班次下所有未下次乘客为下车状态
		List<PassengerInfo> passengerInfoList = passengerInfoService.findByShiftIdAndStatus(shiftInfo.getId(),"1");
		if (passengerInfoList.size()>0){
			for (PassengerInfo passengerInfo : passengerInfoList){
				passengerInfo.setStatus("2");
				passengerInfo.setDownTime(new Date());
				passengerInfo.setUpdateTime(new Date());
				passengerInfo.setUpdateBy(shiftInfo.getUpdateBy());
				passengerInfoService.update(passengerInfo);
			}
		}
	}
}