package com.jpsoft.bus.modules.bus.service.impl;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.UUID;
import javax.annotation.Resource;

import com.jpsoft.bus.modules.bus.dto.VehicleStationDTO;
import com.jpsoft.bus.modules.bus.entity.ShiftInfo;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;
import com.jpsoft.bus.modules.bus.dao.StationInfoDAO;
import com.jpsoft.bus.modules.bus.entity.StationInfo;
import com.jpsoft.bus.modules.bus.service.StationInfoService;
import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.common.dto.Sort;
import com.github.pagehelper.PageHelper;

@Transactional
@Component(value="stationInfoService")
public class StationInfoServiceImpl implements StationInfoService {
	@Resource(name="stationInfoDAO")
	private StationInfoDAO stationInfoDAO;

	@Override
	public StationInfo get(String id) {
		// TODO Auto-generated method stub
		return stationInfoDAO.get(id);
	}

	@Override
	public int insert(StationInfo model) {
		// TODO Auto-generated method stub
		//model.setId(UUID.randomUUID().toString());

		return stationInfoDAO.insert(model);
	}

	@Override
	public int update(StationInfo model) {
		// TODO Auto-generated method stub
		return stationInfoDAO.update(model);
	}

	@Override
	public int delete(String id) {
		// TODO Auto-generated method stub
		return stationInfoDAO.delete(id);
	}

	@Override
	public boolean exist(String id) {
		// TODO Auto-generated method stub
		int count = stationInfoDAO.exist(id);

		return count > 0 ? true : false;
	}

	@Override
	public List<StationInfo> list() {
		// TODO Auto-generated method stub
		return stationInfoDAO.list();
	}

	@Override
	public List<StationInfo> findByRouteId(String routeId){
		return stationInfoDAO.findByRouteId(routeId);
	}


	@Override
	public Page<StationInfo> pageSearch(Map<String, Object> searchParams, int pageNumber, int pageSize,boolean count,List<Sort> sortList) {
        Page<StationInfo> page = PageHelper.startPage(pageNumber,pageSize,count).doSelectPage(()->{
            stationInfoDAO.search(searchParams,sortList);
        });

        return page;
	}

	@Override
	public List<StationInfo> findByRouteIdAndClassify(String routeId, int classify) {
		return stationInfoDAO.findByRouteIdAndClassify(routeId,classify);
	}

	@Override
	public StationInfo findByRouteIdAndName(String routeId, String name){
		return stationInfoDAO.findByRouteIdAndName(routeId,name);
	}

	@Override
	public List<VehicleStationDTO> getVehicleStationDTO(ShiftInfo shiftInfo, List<StationInfo> stationInfoList) {

		List<VehicleStationDTO> vehicleStationDTOList = new ArrayList<>();

		StationInfo currentStation = get(shiftInfo.getCurrentStationId());

		int size = stationInfoList.size();
		Integer index = stationInfoList.indexOf(currentStation);
		if (shiftInfo.getStartStationId().equals(stationInfoList.get(0).getId())){
			for (int n = 0;n<size;n++){
				StationInfo stationInfo = stationInfoList.get(n);
				VehicleStationDTO vehicleStationDTO = new VehicleStationDTO();
				vehicleStationDTO.setId(stationInfo.getId());
				vehicleStationDTO.setStationName(stationInfo.getName());
				vehicleStationDTO.setLongitude(stationInfo.getLongitude());
				vehicleStationDTO.setLatitude(stationInfo.getLatitude());
				if (n < index){
					vehicleStationDTO.setStatus("1");

				}
				if (n == index){
					vehicleStationDTO.setStatus("2");
				}
				if (n > index){
					vehicleStationDTO.setStatus("3");
				}
				vehicleStationDTOList.add(vehicleStationDTO);

			}
		}
		if (shiftInfo.getEndStationId().equals(stationInfoList.get(0).getId())){
			for (int n = size-1;n>=0;n--){
				StationInfo stationInfo = stationInfoList.get(n);
				VehicleStationDTO vehicleStationDTO = new VehicleStationDTO();
				vehicleStationDTO.setId(stationInfo.getId());
				vehicleStationDTO.setStationName(stationInfo.getName());
				vehicleStationDTO.setLongitude(stationInfo.getLongitude());
				vehicleStationDTO.setLatitude(stationInfo.getLatitude());
				if (n < index){
					vehicleStationDTO.setStatus("3");

				}
				if (n == index){
					vehicleStationDTO.setStatus("2");
				}
				if (n > index){
					vehicleStationDTO.setStatus("1");
				}
				vehicleStationDTOList.add(vehicleStationDTO);

			}
		}
		return vehicleStationDTOList;
	}
}