package com.jpsoft.bus.modules.bus.service.impl;

import java.util.List;
import java.util.Map;
import java.util.UUID;
import javax.annotation.Resource;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;
import com.jpsoft.bus.modules.bus.dao.StationRemindDAO;
import com.jpsoft.bus.modules.bus.entity.StationRemind;
import com.jpsoft.bus.modules.bus.service.StationRemindService;
import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.common.dto.Sort;
import com.github.pagehelper.PageHelper;

@Transactional
@Component(value="stationRemindService")
public class StationRemindServiceImpl implements StationRemindService {
	@Resource(name="stationRemindDAO")
	private StationRemindDAO stationRemindDAO;

	@Override
	public StationRemind get(String id) {
		// TODO Auto-generated method stub
		return stationRemindDAO.get(id);
	}

	@Override
	public int insert(StationRemind model) {
		// TODO Auto-generated method stub
		//model.setId(UUID.randomUUID().toString());

		return stationRemindDAO.insert(model);
	}

	@Override
	public int update(StationRemind model) {
		// TODO Auto-generated method stub
		return stationRemindDAO.update(model);
	}

	@Override
	public int delete(String id) {
		// TODO Auto-generated method stub
		return stationRemindDAO.delete(id);
	}

	@Override
	public boolean exist(String id) {
		// TODO Auto-generated method stub
		int count = stationRemindDAO.exist(id);

		return count > 0 ? true : false;
	}

	@Override
	public List<StationRemind> list() {
		// TODO Auto-generated method stub
		return stationRemindDAO.list();
	}

	@Override
	public Page<StationRemind> pageSearch(Map<String, Object> searchParams, int pageNumber, int pageSize,boolean count,List<Sort> sortList) {
        Page<StationRemind> page = PageHelper.startPage(pageNumber,pageSize,count).doSelectPage(()->{
            stationRemindDAO.search(searchParams,sortList);
        });

        return page;
	}

	@Override
	public List<StationRemind> findByAdvanceStationId(String currentStationId) {
		return stationRemindDAO.findByAdvanceStationId(currentStationId);
	}

	@Override
	public List<StationRemind> findByOpenIdAndVehicleShiftId(String openId, String vehicleShiftId) {
		return stationRemindDAO.findByOpenIdAndVehicleShiftId(openId,vehicleShiftId);
	}

	@Override
	public List<StationRemind> findByOpenId(String openId) {
		return stationRemindDAO.findByOpenId(openId);
	}

	@Override
	public List<StationRemind> findByOpenIdAndRouteId(String openId, String routeId) {
		return stationRemindDAO.findByOpenIdAndRouteId(openId,routeId);
	}
}