package com.jpsoft.bus.modules.bus.service.impl;

import java.util.List;
import java.util.Map;
import java.util.UUID;
import javax.annotation.Resource;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;
import com.jpsoft.bus.modules.bus.dao.UserInfoDAO;
import com.jpsoft.bus.modules.bus.entity.UserInfo;
import com.jpsoft.bus.modules.bus.service.UserInfoService;
import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.common.dto.Sort;
import com.github.pagehelper.PageHelper;

@Transactional
@Component(value="userInfoService")
public class UserInfoServiceImpl implements UserInfoService {
	@Resource(name="userInfoDAO")
	private UserInfoDAO userInfoDAO;

	@Override
	public UserInfo get(Long id) {
		// TODO Auto-generated method stub
		return userInfoDAO.get(id);
	}

	@Override
	public int insert(UserInfo model) {
		// TODO Auto-generated method stub
		//model.setId(UUID.randomUUID().toString());

		return userInfoDAO.insert(model);
	}

	@Override
	public int update(UserInfo model) {
		// TODO Auto-generated method stub
		return userInfoDAO.update(model);
	}

	@Override
	public int delete(Long id) {
		// TODO Auto-generated method stub
		return userInfoDAO.delete(id);
	}

	@Override
	public boolean exist(Long id) {
		// TODO Auto-generated method stub
		int count = userInfoDAO.exist(id);

		return count > 0 ? true : false;
	}

	@Override
	public List<UserInfo> list() {
		// TODO Auto-generated method stub
		return userInfoDAO.list();
	}

	@Override
	public Page<UserInfo> pageSearch(Map<String, Object> searchParams, int pageNumber, int pageSize,boolean count,List<Sort> sortList) {
        Page<UserInfo> page = PageHelper.startPage(pageNumber,pageSize,count).doSelectPage(()->{
            userInfoDAO.search(searchParams,sortList);
        });

        return page;
	}

	@Override
	public UserInfo findByPhone(String phone) {
		return userInfoDAO.findByPhone(phone);
	}

	@Override
	public UserInfo findByOpenId(String openId) {
		return userInfoDAO.findByOpenId(openId);
	}
}