package com.jpsoft.bus.modules.bus.service.impl;

import java.util.List;
import java.util.Map;
import java.util.UUID;
import javax.annotation.Resource;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;
import com.jpsoft.bus.modules.bus.dao.VehicleInfoDAO;
import com.jpsoft.bus.modules.bus.entity.VehicleInfo;
import com.jpsoft.bus.modules.bus.service.VehicleInfoService;
import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.common.dto.Sort;
import com.github.pagehelper.PageHelper;

@Transactional
@Component(value="vehicleInfoService")
public class VehicleInfoServiceImpl implements VehicleInfoService {
	@Resource(name="vehicleInfoDAO")
	private VehicleInfoDAO vehicleInfoDAO;

	@Override
	public VehicleInfo get(String id) {
		// TODO Auto-generated method stub
		return vehicleInfoDAO.get(id);
	}

	@Override
	public int insert(VehicleInfo model) {
		// TODO Auto-generated method stub
		//model.setId(UUID.randomUUID().toString());

		return vehicleInfoDAO.insert(model);
	}

	@Override
	public int update(VehicleInfo model) {
		// TODO Auto-generated method stub
		return vehicleInfoDAO.update(model);
	}

	@Override
	public int delete(String id) {
		// TODO Auto-generated method stub
		return vehicleInfoDAO.delete(id);
	}

	@Override
	public boolean exist(String id) {
		// TODO Auto-generated method stub
		int count = vehicleInfoDAO.exist(id);

		return count > 0 ? true : false;
	}

	@Override
	public List<VehicleInfo> list() {
		// TODO Auto-generated method stub
		return vehicleInfoDAO.list();
	}

	@Override
	public Page<VehicleInfo> pageSearch(Map<String, Object> searchParams, int pageNumber, int pageSize,boolean count,List<Sort> sortList) {
        Page<VehicleInfo> page = PageHelper.startPage(pageNumber,pageSize,count).doSelectPage(()->{
            vehicleInfoDAO.search(searchParams,sortList);
        });

        return page;
	}

	@Override
	public VehicleInfo findByCodeAndCarNum(String activationCode, String carNum) {
		return vehicleInfoDAO.findByCodeAndCarNum(activationCode,carNum);
	}

	@Override
	public VehicleInfo findByGpsDeviceNo(String gpsDeviceNo) {
		return vehicleInfoDAO.findByGpsDeviceNo(gpsDeviceNo);
	}
	@Override
	public void updateGps(VehicleInfo v) {
		vehicleInfoDAO.updateGps(v);
	}

	@Override
	public List<VehicleInfo> findByCompanyId(String companyId) {
		return vehicleInfoDAO.findByCompanyId(companyId);
	}

	@Override
	public VehicleInfo findByCarNum(String carNum){
		return vehicleInfoDAO.findByCarNum(carNum);
	}
}