package com.jpsoft.bus.modules.common.utils;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Random;

public class IdCardGenerate {
    private static final int[] calcC = { 7, 9, 10, 5, 8, 4, 2, 1, 6, 3, 7, 9, 10, 5, 8, 4, 2 };
    private static final char[] calcR = { '1', '0', 'X', '9', '8', '7', '6', '5', '4', '3', '2' };

    private static char calcTrailingNumber(StringBuilder sb) {
        int[] n = new int[17];
        int result = 0;

        for (int i = 0; i < n.length; i++) {
            n[i] = Integer.parseInt(String.valueOf(sb.charAt(i)));
        }

        for (int i = 0; i < n.length; i++) {
            result += calcC[i] * n[i];
        }

        return calcR[result % 11];
    }

    public static String generate(String prefix){
        StringBuilder idCard = new StringBuilder();

        //如88XXXX
        //  421002 19831113 1816
        idCard.append(prefix);
        Date now = new Date();
        SimpleDateFormat sdf1 = new SimpleDateFormat("HHmm");
        idCard.append(sdf1.format(now));

        SimpleDateFormat sdf2 = new SimpleDateFormat("yyyyMMdd");
        idCard.append(sdf2.format(now));

        SimpleDateFormat sdf3 = new SimpleDateFormat("ss");
        idCard.append(sdf3.format(now));

        Random rnd = new Random();
        idCard.append(rnd.nextInt(10));

        char num = calcTrailingNumber(idCard);

        idCard.append(num);

        return idCard.toString();
    }

    public static void main(String[] args){
        String idCard = IdCardGenerate.generate("88");

        CheckIdCard cic = new CheckIdCard(idCard);

        if (cic.validate()){
            System.out.println("身份证通过验证!");
        }

        System.out.println(idCard);
    }
}
