package com.jpsoft.bus.modules.merchant.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
  描述:merchant_account_info的实体类
 */
@Data
@ApiModel(value = "merchant_account_info的实体类")
public class AccountInfo {
        @ApiModelProperty(value = "")
    private String id;
        @ApiModelProperty(value = "商户名称")
    private String name;
        @ApiModelProperty(value = "关联的公司车队")
    private String companyId;
        @ApiModelProperty(value = "微信openId")
    private String openId;
        @ApiModelProperty(value = "手机号")
    private String phone;
        @ApiModelProperty(value = "提现许可（0：不可提现，1：可提现）")
    private Boolean withdrawAllow;
        @ApiModelProperty(value = "商户冻结（0：未冻结，1：已冻结）")
    private Boolean frozen;
        @ApiModelProperty(value = "头像")
    private String imageUrl;
        @ApiModelProperty(value = "银行名称")
    private String bankName;
        @ApiModelProperty(value = "银行卡账号")
    private String bankNumber;
        @ApiModelProperty(value = "创建人")
    private String createBy;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "创建时间")
    private Date createTime;
        @ApiModelProperty(value = "更新人")
    private String updateBy;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
        @ApiModelProperty(value = "是否删除")
    private Boolean delFlag;

    @ApiModelProperty(value = "关联的公司车队")
    private String companyName;
}