package com.jpsoft.bus.modules.merchant.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;

import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 描述:merchant_capital_info的实体类
 */
@Data
@ApiModel(value = "merchant_capital_info的实体类")
public class CapitalInfo {
    @ApiModelProperty(value = "")
    private String id;
    @ApiModelProperty(value = "商户id")
    private String merchantId;
    @ApiModelProperty(value = "可提现金额（线上）")
    private BigDecimal withdrawalAmount = BigDecimal.ZERO;
    @ApiModelProperty(value = "已提现金额（线上）")
    private BigDecimal alreadyWithdrawalAmount= BigDecimal.ZERO;
    @ApiModelProperty(value = "总收益（不包含当天）")
    private BigDecimal totalRevenue= BigDecimal.ZERO;
    @ApiModelProperty(value = "线上总收益（不包含当天）")
    private BigDecimal onlineTotalRevenue= BigDecimal.ZERO;
    @ApiModelProperty(value = "创建人")
    private String createBy;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
    @ApiModelProperty(value = "是否删除")
    private Boolean delFlag = false;
}