package com.jpsoft.bus.modules.merchant.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;

import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 描述:merchant_withdrawal_record的实体类
 */
@Data
@ApiModel(value = "merchant_withdrawal_record的实体类")
public class WithdrawalRecord {
    @ApiModelProperty(value = "")
    private String id;
    @ApiModelProperty(value = "商户id")
    private String merchantId;
    @ApiModelProperty(value = "申请提现金额")
    private BigDecimal applyWithdrawalAmount;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty(value = "申请时间")
    private Date applyTime;
    @ApiModelProperty(value = "状态（0：申请中，1：同意，2：拒绝）")
    private String status;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty(value = "审核时间")
    private Date examineTime;
    @ApiModelProperty(value = "审核人")
    private String examineBy;
    @ApiModelProperty(value = "备注")
    private String remark;
    @ApiModelProperty(value = "提现编号")
    private String withdrawalNo;
    @ApiModelProperty(value = "创建人")
    private String createBy;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
    @ApiModelProperty(value = "是否删除")
    private Boolean delFlag = false;

    @ApiModelProperty(value = "商户相关信息")
    private AccountInfo accountInfo;
    @ApiModelProperty(value = "商户账户相关信息")
    private CapitalInfo capitalInfo;


    public String getStatusStr(String status) {
        String statusStr = "";
        if ("0".equals(status)) {
            statusStr = "申请中";
        }
        if ("1".equals(status)) {
            statusStr = "同意";
        }
        if ("2".equals(status)) {
            statusStr = "拒绝";
        }
        return statusStr;
    }
}