package com.jpsoft.bus.modules.merchant.service.impl;

import java.util.List;
import java.util.Map;
import java.util.UUID;
import javax.annotation.Resource;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;
import com.jpsoft.bus.modules.merchant.dao.AccountInfoDAO;
import com.jpsoft.bus.modules.merchant.entity.AccountInfo;
import com.jpsoft.bus.modules.merchant.service.AccountInfoService;
import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.common.dto.Sort;
import com.github.pagehelper.PageHelper;

@Transactional
@Component(value="accountInfoService")
public class AccountInfoServiceImpl implements AccountInfoService {
	@Resource(name="accountInfoDAO")
	private AccountInfoDAO accountInfoDAO;

	@Override
	public AccountInfo get(String id) {
		// TODO Auto-generated method stub
		return accountInfoDAO.get(id);
	}

	@Override
	public int insert(AccountInfo model) {
		// TODO Auto-generated method stub
		//model.setId(UUID.randomUUID().toString());

		return accountInfoDAO.insert(model);
	}

	@Override
	public int update(AccountInfo model) {
		// TODO Auto-generated method stub
		return accountInfoDAO.update(model);
	}

	@Override
	public int delete(String id) {
		// TODO Auto-generated method stub
		return accountInfoDAO.delete(id);
	}

	@Override
	public boolean exist(String id) {
		// TODO Auto-generated method stub
		int count = accountInfoDAO.exist(id);

		return count > 0 ? true : false;
	}

	@Override
	public List<AccountInfo> list() {
		// TODO Auto-generated method stub
		return accountInfoDAO.list();
	}

	@Override
	public Page<AccountInfo> pageSearch(Map<String, Object> searchParams, int pageNumber, int pageSize,boolean count,List<Sort> sortList) {
        Page<AccountInfo> page = PageHelper.startPage(pageNumber,pageSize,count).doSelectPage(()->{
            accountInfoDAO.search(searchParams,sortList);
        });

        return page;
	}

	@Override
	public AccountInfo findByPhone(String phone) {
		return accountInfoDAO.findByPhone(phone);
	}

	@Override
	public AccountInfo findByOpenId(String openId) {
		return accountInfoDAO.findByOpenId(openId);
	}
}