package com.jpsoft.bus.modules.merchant.service.impl;

import java.util.List;
import java.util.Map;
import java.util.UUID;
import javax.annotation.Resource;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;
import com.jpsoft.bus.modules.merchant.dao.CapitalInfoDAO;
import com.jpsoft.bus.modules.merchant.entity.CapitalInfo;
import com.jpsoft.bus.modules.merchant.service.CapitalInfoService;
import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.common.dto.Sort;
import com.github.pagehelper.PageHelper;

@Transactional
@Component(value="capitalInfoService")
public class CapitalInfoServiceImpl implements CapitalInfoService {
	@Resource(name="capitalInfoDAO")
	private CapitalInfoDAO capitalInfoDAO;

	@Override
	public CapitalInfo get(String id) {
		// TODO Auto-generated method stub
		return capitalInfoDAO.get(id);
	}

	@Override
	public int insert(CapitalInfo model) {
		// TODO Auto-generated method stub
		//model.setId(UUID.randomUUID().toString());
		
		return capitalInfoDAO.insert(model);
	}

	@Override
	public int update(CapitalInfo model) {
		// TODO Auto-generated method stub
		return capitalInfoDAO.update(model);		
	}

	@Override
	public int delete(String id) {
		// TODO Auto-generated method stub
		return capitalInfoDAO.delete(id);
	}

	@Override
	public boolean exist(String id) {
		// TODO Auto-generated method stub
		int count = capitalInfoDAO.exist(id);
		
		return count > 0 ? true : false;
	}
	
	@Override
	public List<CapitalInfo> list() {
		// TODO Auto-generated method stub
		return capitalInfoDAO.list();
	}
		
	@Override
	public Page<CapitalInfo> pageSearch(Map<String, Object> searchParams, int pageNumber, int pageSize,boolean count,List<Sort> sortList) {
        Page<CapitalInfo> page = PageHelper.startPage(pageNumber,pageSize,count).doSelectPage(()->{
            capitalInfoDAO.search(searchParams,sortList);
        });
        
        return page;
	}

	@Override
	public CapitalInfo findByMerchantId(String merchantId){
		return capitalInfoDAO.findByMerchantId(merchantId);
	}
}