package com.jpsoft.bus.modules.merchant.service.impl;

import java.util.List;
import java.util.Map;
import javax.annotation.Resource;

import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;
import com.jpsoft.bus.modules.merchant.dao.WithdrawalRecordDAO;
import com.jpsoft.bus.modules.merchant.entity.WithdrawalRecord;
import com.jpsoft.bus.modules.merchant.service.WithdrawalRecordService;
import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.common.dto.Sort;
import com.github.pagehelper.PageHelper;

@Transactional
@Component(value="withdrawalRecordService")
public class WithdrawalRecordServiceImpl implements WithdrawalRecordService {
	@Resource(name="withdrawalRecordDAO")
	private WithdrawalRecordDAO withdrawalRecordDAO;

	@Override
	public WithdrawalRecord get(String id) {
		// TODO Auto-generated method stub
		return withdrawalRecordDAO.get(id);
	}

	@Override
	public int insert(WithdrawalRecord model) {
		// TODO Auto-generated method stub
		//model.setId(UUID.randomUUID().toString());

		return withdrawalRecordDAO.insert(model);
	}

	@Override
	public int update(WithdrawalRecord model) {
		// TODO Auto-generated method stub
		return withdrawalRecordDAO.update(model);
	}

	@Override
	public int delete(String id) {
		// TODO Auto-generated method stub
		return withdrawalRecordDAO.delete(id);
	}

	@Override
	public boolean exist(String id) {
		// TODO Auto-generated method stub
		int count = withdrawalRecordDAO.exist(id);

		return count > 0 ? true : false;
	}

	@Override
	public List<WithdrawalRecord> list() {
		// TODO Auto-generated method stub
		return withdrawalRecordDAO.list();
	}

	@Override
	public Page<WithdrawalRecord> pageSearch(Map<String, Object> searchParams, int pageNumber, int pageSize,boolean count,List<Sort> sortList) {
        Page<WithdrawalRecord> page = PageHelper.startPage(pageNumber,pageSize,count).doSelectPage(()->{
            withdrawalRecordDAO.search(searchParams,sortList);
        });

        return page;
	}

	@Override
	public List<WithdrawalRecord> findByMerchantIdAndStatus(String merchantId, String status) {
		return withdrawalRecordDAO.findByMerchantIdAndStatus(merchantId,status);
	}

	@Override
	public WithdrawalRecord findByMerchantId(String merchantId){
		return withdrawalRecordDAO.findByMerchantId(merchantId);
	}
}