package com.jpsoft.gps.codec;

import io.netty.buffer.ByteBuf;
import io.netty.channel.ChannelHandlerContext;
import io.netty.handler.codec.ByteToMessageDecoder;
import lombok.extern.slf4j.Slf4j;

import java.nio.charset.Charset;
import java.util.List;

@Slf4j
public class CustomDecoder extends ByteToMessageDecoder {
    @Override
    protected void decode(ChannelHandlerContext ctx, ByteBuf byteBuf, List<Object> out) throws Exception {
        String str = byteBuf.toString(Charset.forName("utf-8"));
        log.warn("收到:" + str);

        String prefix = "#";
        String suffix = "\n";

        int start = str.indexOf(prefix);
        int end = str.indexOf(suffix);

        if (start>=0 && end>start) {
            String data = str.substring(start+1, end);

            log.warn("解析数据:" + data);

            out.add(data);

            //清除已有数据
            byteBuf.skipBytes(byteBuf.readableBytes());
        }
        else if (byteBuf.readableBytes()>1024){
            //清除无效数据
            byteBuf.skipBytes(byteBuf.readableBytes());
        }
    }
}
