package com.jpsoft.bus.listener;

import com.jpsoft.gps.GpsServer;
import com.jpsoft.gps.callback.GpsDataCallback;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Profile;
import org.springframework.stereotype.Component;

import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;
import javax.servlet.annotation.WebListener;

@WebListener
@Component
@Profile({"dev","test","production"})
public class GPSWebListener implements ServletContextListener {
    @Autowired
    private GpsServer gpsServer;

    @Value("${gps.port}")
    private Integer port;

    @Autowired
    private GpsDataCallback gpsDataCallback;

    @Override
    public void contextDestroyed(ServletContextEvent arg0) {
        // TODO Auto-generated method stub
        System.out.println("gps应用销毁");

        if (gpsServer!=null){
            gpsServer.stop();
        }
    }

    @Override
    public void contextInitialized(ServletContextEvent arg0) {
        // TODO Auto-generated method stub
        System.out.println("gps应用初始化");

        if (gpsServer!=null){
            gpsServer.start(port,gpsDataCallback);
        }
    }
}