package com.jpsoft.bus.modules.device.controller;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.jpsoft.bus.modules.bus.entity.DeviceLogInfo;
import com.jpsoft.bus.modules.bus.service.DeviceLogInfoService;
import com.jpsoft.bus.modules.common.dto.MessageResult;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import java.util.Date;
import java.util.UUID;

@RestController
@RequestMapping("/bus/deviceLogApi")
@Slf4j
public class DeviceLogApiController {
    @Autowired
    private DeviceLogInfoService deviceLogInfoService;

    @PostMapping("uploadLog")
    @ApiOperation(value="上传日志")
    public MessageResult<String> uploadLog(@RequestBody JSONObject requestBody){
        MessageResult<String> messageResult = new MessageResult<>();

        try {
            String licensePlateNumber = requestBody.getString("licensePlateNumber");
            JSONArray logList = requestBody.getJSONArray("logList");

            for (int i=0;i<logList.size();i++){
                JSONObject logJson = logList.getJSONObject(i);

                String deviceIP = logJson.getString("deviceIP");
                String tag = logJson.getString("tag");
                String content = logJson.getString("content");

                Date recordTime = new Date();

                if(logJson.getLong("createTime")!=null) {
                    recordTime = new Date(logJson.getLong("createTime"));
                }

                DeviceLogInfo deviceLogInfo = new DeviceLogInfo();
                deviceLogInfo.setId(UUID.randomUUID().toString());
                deviceLogInfo.setLicensePlateNumber(licensePlateNumber);
                deviceLogInfo.setDeviceIP(deviceIP);
                deviceLogInfo.setTag(tag);
                deviceLogInfo.setContent(content);
                deviceLogInfo.setRecordTime(recordTime);
                deviceLogInfo.setDelFlag(false);
                deviceLogInfo.setCreateTime(new Date());

                deviceLogInfoService.insert(deviceLogInfo);
            }

            //todo 填写具体代码
            messageResult.setData("ok");
            messageResult.setResult(true);
        }
        catch (Exception ex){
            log.error(ex.getMessage(),ex);

            messageResult.setResult(false);
            messageResult.setMessage(ex.getMessage());
        }

        return messageResult;
    }
}
